Index: src/ammosreader.egg-info/SOURCES.txt
===================================================================
--- src/ammosreader.egg-info/SOURCES.txt	(revision 0da6808611c0b140f747bc134158a61627987062)
+++ src/ammosreader.egg-info/SOURCES.txt	(revision 0da6808611c0b140f747bc134158a61627987062)
@@ -0,0 +1,122 @@
+.gitignore
+LICENSE
+README.md
+pyproject.toml
+setup.cfg
+setup.py
+doc/Makefile
+doc/build/doctrees/environment.pickle
+doc/build/doctrees/index.doctree
+doc/build/html/.buildinfo
+doc/build/html/genindex.html
+doc/build/html/index.html
+doc/build/html/objects.inv
+doc/build/html/search.html
+doc/build/html/searchindex.js
+doc/build/html/_sources/index.rst.txt
+doc/build/html/_static/ajax-loader.gif
+doc/build/html/_static/alabaster.css
+doc/build/html/_static/basic.css
+doc/build/html/_static/comment-bright.png
+doc/build/html/_static/comment-close.png
+doc/build/html/_static/comment.png
+doc/build/html/_static/custom.css
+doc/build/html/_static/doctools.js
+doc/build/html/_static/documentation_options.js
+doc/build/html/_static/down-pressed.png
+doc/build/html/_static/down.png
+doc/build/html/_static/file.png
+doc/build/html/_static/jquery.js
+doc/build/html/_static/language_data.js
+doc/build/html/_static/minus.png
+doc/build/html/_static/plus.png
+doc/build/html/_static/pygments.css
+doc/build/html/_static/searchtools.js
+doc/build/html/_static/underscore.js
+doc/build/html/_static/up-pressed.png
+doc/build/html/_static/up.png
+doc/build/html/_static/websupport.js
+doc/html/.buildinfo
+doc/html/PDW.html
+doc/html/genindex.html
+doc/html/index.html
+doc/html/modules.html
+doc/html/objects.inv
+doc/html/pdw_reader.html
+doc/html/py-modindex.html
+doc/html/search.html
+doc/html/searchindex.js
+doc/html/.doctrees/PDW.doctree
+doc/html/.doctrees/environment.pickle
+doc/html/.doctrees/index.doctree
+doc/html/.doctrees/modules.doctree
+doc/html/.doctrees/pdw_reader.doctree
+doc/html/_modules/PDW.html
+doc/html/_modules/index.html
+doc/html/_sources/PDW.rst.txt
+doc/html/_sources/index.rst.txt
+doc/html/_sources/modules.rst.txt
+doc/html/_sources/pdw_reader.rst.txt
+doc/html/_static/ajax-loader.gif
+doc/html/_static/alabaster.css
+doc/html/_static/basic.css
+doc/html/_static/comment-bright.png
+doc/html/_static/comment-close.png
+doc/html/_static/comment.png
+doc/html/_static/custom.css
+doc/html/_static/doctools.js
+doc/html/_static/documentation_options.js
+doc/html/_static/down-pressed.png
+doc/html/_static/down.png
+doc/html/_static/file.png
+doc/html/_static/jquery.js
+doc/html/_static/language_data.js
+doc/html/_static/minus.png
+doc/html/_static/plus.png
+doc/html/_static/pygments.css
+doc/html/_static/searchtools.js
+doc/html/_static/underscore.js
+doc/html/_static/up-pressed.png
+doc/html/_static/up.png
+doc/html/_static/websupport.js
+doc/rst/PDW.rst
+doc/rst/conf.py
+doc/rst/index.rst
+doc/rst/modules.rst
+doc/source/conf.py
+doc/source/index.rst
+org/AMMOS_Datastreams.pdf
+org/audio.html
+org/audio.org
+org/iqdw.org
+org/ppdw.org
+sample_data/audio_data_sample.bin
+sample_data/example.ppdw
+sample_data/sample.iqdw
+sample_scripts/audio_reader.py
+sample_scripts/audio_socket_reader_test.py
+sample_scripts/audio_socket_reader_test_streamer.py
+sample_scripts/iqdw_reader.py
+sample_scripts/pdw_reader.py
+sample_scripts/test.wav
+src/ammosreader/AmmosAudioDataHeader.py
+src/ammosreader/AmmosAudioReader.py
+src/ammosreader/AmmosAudioSocketReader.py
+src/ammosreader/AmmosContainer.py
+src/ammosreader/AmmosExtendedAudioDataHeader.py
+src/ammosreader/AmmosExtendedIFDataHeader.py
+src/ammosreader/AmmosGlobalFrameBody.py
+src/ammosreader/AmmosGlobalFrameHeader.py
+src/ammosreader/AmmosIFDataBlock.py
+src/ammosreader/AmmosIFDataHeader.py
+src/ammosreader/AmmosIFReader.py
+src/ammosreader/AmmosSingleFrame.py
+src/ammosreader/IQDWTXBlock.py
+src/ammosreader/PDW.py
+src/ammosreader/PPDWContainer.py
+src/ammosreader.egg-info/PKG-INFO
+src/ammosreader.egg-info/SOURCES.txt
+src/ammosreader.egg-info/dependency_links.txt
+src/ammosreader.egg-info/not-zip-safe
+src/ammosreader.egg-info/requires.txt
+src/ammosreader.egg-info/top_level.txt