Index: README.md
===================================================================
--- README.md	(revision 6583c8bb6ceb4fbd492f348c3b3693285188fdde)
+++ README.md	(revision 7a52e57b2759c902c8a00dd433a2398103d1f6fc)
@@ -1,11 +1,10 @@
 # Flowtimer
 
-Flowtimer is a customizable Pomodoro timer designed to enhance productivity by breaking work into intervals, typically 25 minutes long, separated by short breaks. It allows you to configure your work and break sessions through a CSV file and includes predefined phases of activity to help you stay focused.
+Flowtimer is a customizable Pomodoro timer designed to enhance productivity by breaking work into intervals, typically 25 minutes long, separated by short breaks. It allows you to configure your work and break sessions through a JSON file and includes predefined phases of activity to help you stay focused.
 
 ## Features
 
-- **Configurable Sessions:** Define your own work, short break, and long break durations through a CSV file.
+- **Configurable Sessions:** Define your own work, short break, and long break durations through a JSON file.
 - **Predefined Phases:** Start with standard Pomodoro phases or create your own.
-- **Simple Interface:** Easy-to-use command-line interface for starting and managing your sessions.
 - **Progress Tracking:** Visual feedback on time remaining for each phase.
 - **Customizable Cycle:** Choose how many work sessions you want before taking a longer break.
@@ -23,5 +22,5 @@
 1. Clone the repository:
    ```bash
-   git clone https://github.com/yourusername/flowtimer.git
+   git clone --branch guix https://gitlab.kid.local:/legacy/flowtimer.git
    cd flowtimer
    ```
@@ -29,5 +28,5 @@
 2. Install the required dependencies:
    ```bash
-   pip install -r requirements.txt
+   pip3 install .
    ```
 
@@ -36,15 +35,64 @@
 1. **Create or Modify Configuration:**
 
-   Flowtimer reads its configuration from a CSV file. The file should define the duration of each phase (in minutes) and the order of phases.
-
-   Example `config.csv`:
-   ```csv
-   phase,duration
-   work,25
-   short_break,5
-   work,25
-   short_break,5
-   work,25
-   long_break,15
+   Flowtimer reads its configuration from a JSON file.
+   
+   Example `default.json`:
+   ```json
+   { "title": "Default",
+  "blocks": [
+      {"type": "Phase",
+       "title": "MorningHuddle",
+       "initial_ticks": 900
+      },
+      {"type": "Sequence",
+       "title": "AM",
+       "sequence": [
+	   {
+	       "title": "Tasking",
+	       "initial_ticks": 120
+	   },
+	   {
+	       "title": "Working",
+	       "initial_ticks": 5400
+	   },
+	   {
+	       "title": "Syncing",
+	       "initial_ticks": 300
+	   },
+	   {
+	       "title": "Break",
+	       "initial_ticks": 600
+	   }
+       ],
+       "initial_repetitions": 2
+      },
+      {"type": "Phase",
+       "title": "Lunch",
+       "initial_ticks": 2700
+      },
+      {"type": "Sequence",
+       "title": "PM",
+       "sequence": [
+	   {
+	       "title": "Tasking",
+	       "initial_ticks": 120
+	   },
+	   {
+	       "title": "Working",
+	       "initial_ticks": 5400
+	   },
+	   {
+	       "title": "Syncing",
+	       "initial_ticks": 600
+	   },
+	   {
+	       "title": "Break",
+	       "initial_ticks": 600
+	   }
+       ],
+       "initial_repetitions": 2
+      }
+  ]
+}
    ```
 
@@ -53,11 +101,11 @@
 2. **Run Flowtimer:**
    ```bash
-   python flowtimer.py --config config.csv
+   python flowtimer.py --config /path/to/config_file.json
    ```
 
-   This will start the timer based on the phases and durations specified in the `config.csv` file.
+   This will start the timer based on the phases and durations specified in the JSON file.
 
 3. **Adjusting Configuration:**
-   To change the timings or the order of phases, simply edit the `config.csv` file and rerun the script.
+   To change the timings or the order of phases, simply edit the JSON file and rerun the script.
 
 ### Default Configuration
@@ -71,25 +119,18 @@
 ### Command-line Options
 
-- `--config <file>`: Specify a custom CSV configuration file.
+- `--config <file>`: Specify a custom JSON configuration file.
 - `--start`: Start the Pomodoro timer with the current configuration.
-- `--reset`: Reset the timer to default settings.
 
 ### Example
 
 ```bash
-python flowtimer.py --config myconfig.csv
+python flowtimer.py --config myconfig.json
 ```
 
-This command will start Flowtimer with a custom configuration provided in `myconfig.csv`.
+This command will start Flowtimer with a custom configuration provided in `myconfig.json`.
 
 ## Contributing
 
 Contributions are welcome! Please submit a pull request or open an issue to discuss any changes or improvements.
-
-### To-Do
-
-- [ ] Add GUI support
-- [ ] Integrate sound notifications
-- [ ] Add a pause/resume feature
 
 ## License