Index: doc/html/searchindex.js
===================================================================
--- doc/html/searchindex.js	(revision 841394407c33eb658ab5a557432e141af65571e0)
+++ doc/html/searchindex.js	(revision 276d0aa3c9bb089ea7118c61838f1f5d343919ab)
@@ -1,1 +1,1 @@
-Search.setIndex({docnames:["ammosreader","index","modules"],envversion:{"sphinx.domains.c":2,"sphinx.domains.changeset":1,"sphinx.domains.citation":1,"sphinx.domains.cpp":4,"sphinx.domains.index":1,"sphinx.domains.javascript":2,"sphinx.domains.math":2,"sphinx.domains.python":3,"sphinx.domains.rst":2,"sphinx.domains.std":2,"sphinx.ext.viewcode":1,sphinx:56},filenames:["ammosreader.rst","index.rst","modules.rst"],objects:{"":[[0,0,0,"-","ammosreader"]],"ammosreader.AmmosAudioDataHeader":[[0,1,1,"","AmmosAudioDataHeader"],[0,1,1,"","AmmosAudioDemodType"]],"ammosreader.AmmosAudioDataHeader.AmmosAudioDataHeader":[[0,2,1,"","from_bytes"]],"ammosreader.AmmosAudioDataHeader.AmmosAudioDemodType":[[0,3,1,"","mapping"]],"ammosreader.AmmosAudioReader":[[0,1,1,"","AmmosAudioReader"]],"ammosreader.AmmosAudioReader.AmmosAudioReader":[[0,4,1,"","EXTENDED_AUDIO_DATA_HEADER_SIZE"],[0,4,1,"","GLOBAL_HEADER_SIZE"],[0,4,1,"","STANDARD_AUDIO_DATA_HEADER_SIZE"],[0,2,1,"","add_tag"],[0,2,1,"","read_all_frames_left"],[0,2,1,"","read_next_audio_data_body"],[0,2,1,"","read_next_global_frame_body"],[0,2,1,"","read_next_global_frame_body_data_header"],[0,2,1,"","read_next_global_frame_body_extended_data_header"],[0,2,1,"","read_next_global_frame_header"],[0,2,1,"","read_next_single_frame"],[0,2,1,"","rewind_to_start"]],"ammosreader.AmmosAudioSocketReader":[[0,1,1,"","AmmosAudioSocketReader"]],"ammosreader.AmmosAudioSocketReader.AmmosAudioSocketReader":[[0,2,1,"","read_next_frame"]],"ammosreader.AmmosContainer":[[0,1,1,"","AmmosContainer"]],"ammosreader.AmmosContainer.AmmosContainer":[[0,2,1,"","add_frame"],[0,2,1,"","add_tag"],[0,2,1,"","frequencies"],[0,2,1,"","size"]],"ammosreader.AmmosExtendedAudioDataHeader":[[0,1,1,"","AmmosExtendedAudioDataHeader"]],"ammosreader.AmmosExtendedAudioDataHeader.AmmosExtendedAudioDataHeader":[[0,2,1,"","from_bytes"]],"ammosreader.AmmosExtendedIFDataHeader":[[0,1,1,"","AmmosExtendedIFDataHeader"]],"ammosreader.AmmosExtendedIFDataHeader.AmmosExtendedIFDataHeader":[[0,2,1,"","from_bytes"]],"ammosreader.AmmosGlobalFrameBody":[[0,1,1,"","AmmosGlobalFrameBody"]],"ammosreader.AmmosGlobalFrameBody.AmmosGlobalFrameBody":[[0,2,1,"","data_bytes_only"]],"ammosreader.AmmosGlobalFrameHeader":[[0,1,1,"","AmmosGlobalFrameHeader"]],"ammosreader.AmmosGlobalFrameHeader.AmmosGlobalFrameHeader":[[0,4,1,"","MAGIC_WORD"],[0,2,1,"","from_bytes"],[0,2,1,"","size"]],"ammosreader.AmmosIFDataBlock":[[0,1,1,"","AmmosIFDataBlock"]],"ammosreader.AmmosIFDataHeader":[[0,1,1,"","AmmosIFDataHeader"]],"ammosreader.AmmosIFDataHeader.AmmosIFDataHeader":[[0,2,1,"","from_bytes"],[0,2,1,"","header_size"]],"ammosreader.AmmosIFReader":[[0,1,1,"","AmmosIFReader"]],"ammosreader.AmmosIFReader.AmmosIFReader":[[0,2,1,"","add_tag"],[0,2,1,"","read_all_frames_left"],[0,2,1,"","read_next_global_frame_body"],[0,2,1,"","read_next_global_frame_body_data_header"],[0,2,1,"","read_next_global_frame_body_extended_data_header"],[0,2,1,"","read_next_global_frame_header"],[0,2,1,"","read_next_if_data_blocks"],[0,2,1,"","read_next_single_frame"],[0,2,1,"","rewind_to_start"]],"ammosreader.AmmosSingleFrame":[[0,1,1,"","AmmosSingleFrame"]],"ammosreader.AmmosSingleFrame.AmmosSingleFrame":[[0,2,1,"","data"],[0,2,1,"","size_correct"]],"ammosreader.IQDWTXBlock":[[0,1,1,"","IQDWTXBLOCK"]],"ammosreader.IQDWTXBlock.IQDWTXBLOCK":[[0,2,1,"","from_bytes"]],"ammosreader.PDW":[[0,1,1,"","PDW"]],"ammosreader.PDW.PDW":[[0,2,1,"","__init__"],[0,2,1,"","from_bytes"]],"ammosreader.PPDWContainer":[[0,1,1,"","PPDWContainer"]],"ammosreader.PPDWContainer.PPDWContainer":[[0,2,1,"","__init__"]],ammosreader:[[0,0,0,"-","AmmosAudioDataHeader"],[0,0,0,"-","AmmosAudioReader"],[0,0,0,"-","AmmosAudioSocketReader"],[0,0,0,"-","AmmosContainer"],[0,0,0,"-","AmmosExtendedAudioDataHeader"],[0,0,0,"-","AmmosExtendedIFDataHeader"],[0,0,0,"-","AmmosGlobalFrameBody"],[0,0,0,"-","AmmosGlobalFrameHeader"],[0,0,0,"-","AmmosIFDataBlock"],[0,0,0,"-","AmmosIFDataHeader"],[0,0,0,"-","AmmosIFReader"],[0,0,0,"-","AmmosSingleFrame"],[0,0,0,"-","IQDWTXBlock"],[0,0,0,"-","PDW"],[0,0,0,"-","PPDWContainer"]]},objnames:{"0":["py","module","Python module"],"1":["py","class","Python class"],"2":["py","method","Python method"],"3":["py","property","Python property"],"4":["py","attribute","Python attribute"]},objtypes:{"0":"py:module","1":"py:class","2":"py:method","3":"py:property","4":"py:attribute"},terms:{"0":0,"00":0,"01":0,"1":0,"100":0,"102":0,"1048575":0,"15":0,"16":0,"1970":0,"2":0,"200":0,"204":0,"24":0,"3":0,"32":0,"359":0,"36":0,"4":0,"409":0,"44":0,"5":0,"6":0,"726574fb":0,"8":0,"9":0,"90":0,"boolean":0,"byte":0,"class":0,"db\u00b5v":0,"float":0,"import":0,"int":0,"new":0,"return":0,For:0,The:0,__init__:0,accord:0,add:0,add_fram:0,add_tag:0,after:0,all:0,ammo:0,ammosaudiodatahead:[1,2],ammosaudiodemodtyp:0,ammosaudioread:[1,2],ammosaudiosocketread:[1,2],ammoscontain:[1,2],ammosextendedaudiodatahead:[1,2],ammosextendedifdatahead:[1,2],ammosglobalframebodi:[1,2],ammosglobalframehead:[1,2],ammosifdatablock:[1,2],ammosifdatahead:[1,2],ammosifread:[1,2],ammossinglefram:[1,2],an:0,antenna:0,antenna_correct:0,argument:0,arriv:0,attribut:0,audio:0,azimuth:0,azimuth_confid:0,bandwidth:0,base:0,befor:0,begin:0,bit:0,block:0,block_count:0,block_length:0,bodi:0,byte_str:0,bytearrai:0,center:0,center_frequ:0,channel:0,channel_count:0,classmethod:0,clockwis:0,code:0,confid:0,contain:0,content:[1,2],continu:0,counter:0,creat:0,current:0,d:0,data:0,data_bodi:0,data_bytes_onli:0,data_head:0,data_header_length:0,data_header_s:0,decim:0,degre:0,demod_bandwidth:0,demod_typ:0,depend:0,detect:0,df_qualiti:0,dict:0,dictionari:0,direct:0,e:0,elev:0,embed:0,empti:0,end:0,etc:0,even:0,exampl:0,extend:0,extended_audio_data_header_s:0,field:0,file:0,file_nam:0,find:0,flag:0,fm:0,format:0,frame:0,frame_length:0,frame_typ:0,frequenc:0,frequency_shift_or_bandwidth:0,from:0,from_byt:0,g:0,global:0,global_frame_bodi:0,global_frame_head:0,global_header_s:0,header:0,header_s:0,horizont:0,i:0,if_data:0,if_datablock_head:0,incom:0,incomplet:0,inform:0,initi:0,insid:0,instanc:0,integ:0,interest:0,interpol:0,iq:0,iqdwtxblock:[1,2],is_puls:0,is_valid:0,iter:0,k:0,kei:0,keyword:0,khz:0,kwarg:0,length:0,level:0,level_unit:0,list:0,m:0,magic_word:0,map:0,mark:0,mean:0,minu:0,modul:[1,2],mono:0,more:0,multipl:0,my:0,n:0,name:0,nanosecond:0,next:0,none:0,number:0,object:0,one:0,oper:0,packag:[1,2],pair:0,paramet:0,pars:0,pdw:[1,2],pdw_format:0,pdw_format_identifi:0,per:0,percent:0,plu:0,pointer:0,polar:0,posit:0,ppdw:0,ppdwcontain:[1,2],properti:0,psk:0,puls:0,pulse_level_or_pulse_field_strength:0,pulse_width:0,qualiti:0,r:0,rate:0,reach:0,read:0,read_all_frames_left:0,read_next_audio_data_bodi:0,read_next_fram:0,read_next_global_frame_bodi:0,read_next_global_frame_body_data_head:0,read_next_global_frame_body_extended_data_head:0,read_next_global_frame_head:0,read_next_if_data_block:0,read_next_single_fram:0,record:0,refer:0,region:0,region_of_interest:0,remain:0,reserv:0,rewind_to_start:0,running_frame_numb:0,s:0,sampl:0,sample_count:0,sample_r:0,sample_s:0,sector:0,set:0,signal:0,signal_end_miss:0,signal_start_miss:0,sinc:0,singl:0,size:0,size_correct:0,socket:0,sourc:0,source_id:0,source_st:0,standard_audio_data_header_s:0,start:0,statu:0,step:0,stereo:0,stop:0,store:0,stream_start:0,strength:0,string:0,submodul:[1,2],tag:0,time:0,time_of_arriv:0,timestamp:0,tupl:0,two:0,type:0,unknown:0,until:0,v:0,valid:0,valu:0,vertic:0,via:0,voltage_ref:0,wave:0,width:0,zero:0},titles:["ammosreader package","ammosreader","ammosreader"],titleterms:{ammosaudiodatahead:0,ammosaudioread:0,ammosaudiosocketread:0,ammoscontain:0,ammosextendedaudiodatahead:0,ammosextendedifdatahead:0,ammosglobalframebodi:0,ammosglobalframehead:0,ammosifdatablock:0,ammosifdatahead:0,ammosifread:0,ammosread:[0,1,2],ammossinglefram:0,content:0,iqdwtxblock:0,modul:0,packag:0,pdw:0,ppdwcontain:0,submodul:0}})
+Search.setIndex({docnames:["ammosreader","index","modules"],envversion:{"sphinx.domains.c":2,"sphinx.domains.changeset":1,"sphinx.domains.citation":1,"sphinx.domains.cpp":4,"sphinx.domains.index":1,"sphinx.domains.javascript":2,"sphinx.domains.math":2,"sphinx.domains.python":3,"sphinx.domains.rst":2,"sphinx.domains.std":2,"sphinx.ext.viewcode":1,sphinx:56},filenames:["ammosreader.rst","index.rst","modules.rst"],objects:{"":[[0,0,0,"-","ammosreader"]],"ammosreader.AmmosAudioDataHeader":[[0,1,1,"","AmmosAudioDataHeader"],[0,1,1,"","AmmosAudioDemodType"]],"ammosreader.AmmosAudioDataHeader.AmmosAudioDataHeader":[[0,2,1,"","from_bytes"]],"ammosreader.AmmosAudioDataHeader.AmmosAudioDemodType":[[0,3,1,"","mapping"]],"ammosreader.AmmosAudioReader":[[0,1,1,"","AmmosAudioReader"]],"ammosreader.AmmosAudioReader.AmmosAudioReader":[[0,4,1,"","EXTENDED_AUDIO_DATA_HEADER_SIZE"],[0,4,1,"","GLOBAL_HEADER_SIZE"],[0,4,1,"","STANDARD_AUDIO_DATA_HEADER_SIZE"],[0,2,1,"","add_tag"],[0,2,1,"","read_all_frames_left"],[0,2,1,"","read_next_audio_data_body"],[0,2,1,"","read_next_global_frame_body"],[0,2,1,"","read_next_global_frame_body_data_header"],[0,2,1,"","read_next_global_frame_body_extended_data_header"],[0,2,1,"","read_next_global_frame_header"],[0,2,1,"","read_next_single_frame"],[0,2,1,"","rewind_to_start"]],"ammosreader.AmmosAudioSocketReader":[[0,1,1,"","AmmosAudioSocketReader"]],"ammosreader.AmmosAudioSocketReader.AmmosAudioSocketReader":[[0,2,1,"","read_next_frame"]],"ammosreader.AmmosContainer":[[0,1,1,"","AmmosContainer"]],"ammosreader.AmmosContainer.AmmosContainer":[[0,2,1,"","add_frame"],[0,2,1,"","add_tag"],[0,2,1,"","frequencies"],[0,2,1,"","size"]],"ammosreader.AmmosExtendedAudioDataHeader":[[0,1,1,"","AmmosExtendedAudioDataHeader"]],"ammosreader.AmmosExtendedAudioDataHeader.AmmosExtendedAudioDataHeader":[[0,2,1,"","from_bytes"]],"ammosreader.AmmosExtendedIFDataHeader":[[0,1,1,"","AmmosExtendedIFDataHeader"]],"ammosreader.AmmosExtendedIFDataHeader.AmmosExtendedIFDataHeader":[[0,2,1,"","from_bytes"]],"ammosreader.AmmosGlobalFrameBody":[[0,1,1,"","AmmosGlobalFrameBody"]],"ammosreader.AmmosGlobalFrameBody.AmmosGlobalFrameBody":[[0,2,1,"","data_bytes_only"]],"ammosreader.AmmosGlobalFrameHeader":[[0,1,1,"","AmmosGlobalFrameHeader"]],"ammosreader.AmmosGlobalFrameHeader.AmmosGlobalFrameHeader":[[0,4,1,"","MAGIC_WORD"],[0,2,1,"","from_bytes"],[0,2,1,"","size"]],"ammosreader.AmmosIFDataBlock":[[0,1,1,"","AmmosIFDataBlock"]],"ammosreader.AmmosIFDataHeader":[[0,1,1,"","AmmosIFDataHeader"]],"ammosreader.AmmosIFDataHeader.AmmosIFDataHeader":[[0,2,1,"","from_bytes"],[0,2,1,"","header_size"]],"ammosreader.AmmosIFReader":[[0,1,1,"","AmmosIFReader"]],"ammosreader.AmmosIFReader.AmmosIFReader":[[0,2,1,"","add_tag"],[0,2,1,"","read_all_frames_left"],[0,2,1,"","read_next_global_frame_body"],[0,2,1,"","read_next_global_frame_body_data_header"],[0,2,1,"","read_next_global_frame_body_extended_data_header"],[0,2,1,"","read_next_global_frame_header"],[0,2,1,"","read_next_if_data_blocks"],[0,2,1,"","read_next_single_frame"],[0,2,1,"","rewind_to_start"]],"ammosreader.AmmosSingleFrame":[[0,1,1,"","AmmosSingleFrame"]],"ammosreader.AmmosSingleFrame.AmmosSingleFrame":[[0,2,1,"","data"],[0,2,1,"","size_correct"]],"ammosreader.IQDWTXBlock":[[0,1,1,"","IQDWTXBLOCK"]],"ammosreader.IQDWTXBlock.IQDWTXBLOCK":[[0,2,1,"","from_bytes"]],"ammosreader.PDW":[[0,1,1,"","PDW"]],"ammosreader.PDW.PDW":[[0,2,1,"","__init__"],[0,2,1,"","from_bytes"]],"ammosreader.PPDWContainer":[[0,1,1,"","PPDWContainer"]],"ammosreader.PPDWContainer.PPDWContainer":[[0,2,1,"","__init__"]],ammosreader:[[0,0,0,"-","AmmosAudioDataHeader"],[0,0,0,"-","AmmosAudioReader"],[0,0,0,"-","AmmosAudioSocketReader"],[0,0,0,"-","AmmosContainer"],[0,0,0,"-","AmmosExtendedAudioDataHeader"],[0,0,0,"-","AmmosExtendedIFDataHeader"],[0,0,0,"-","AmmosGlobalFrameBody"],[0,0,0,"-","AmmosGlobalFrameHeader"],[0,0,0,"-","AmmosIFDataBlock"],[0,0,0,"-","AmmosIFDataHeader"],[0,0,0,"-","AmmosIFReader"],[0,0,0,"-","AmmosSingleFrame"],[0,0,0,"-","IQDWTXBlock"],[0,0,0,"-","PDW"],[0,0,0,"-","PPDWContainer"]]},objnames:{"0":["py","module","Python module"],"1":["py","class","Python class"],"2":["py","method","Python method"],"3":["py","property","Python property"],"4":["py","attribute","Python attribute"]},objtypes:{"0":"py:module","1":"py:class","2":"py:method","3":"py:property","4":"py:attribute"},terms:{"0":0,"00":0,"01":0,"1":0,"100":0,"102":0,"1048575":0,"15":0,"16":0,"1970":0,"2":0,"200":0,"204":0,"24":0,"3":0,"32":0,"359":0,"36":0,"4":0,"409":0,"44":0,"5":0,"6":0,"726574fb":0,"8":0,"9":0,"90":0,"boolean":0,"byte":0,"class":0,"db\u00b5v":0,"float":0,"import":0,"int":0,"new":0,"return":0,For:0,The:0,__init__:0,access:0,accord:0,add:0,add_fram:0,add_tag:0,after:0,all:0,ammo:0,ammosaudiodatahead:[1,2],ammosaudiodemodtyp:0,ammosaudioread:[1,2],ammosaudiosocketread:[1,2],ammoscontain:[1,2],ammosextendedaudiodatahead:[1,2],ammosextendedifdatahead:[1,2],ammosglobalframebodi:[1,2],ammosglobalframehead:[1,2],ammosifdatablock:[1,2],ammosifdatahead:[1,2],ammosifread:[1,2],ammossinglefram:[1,2],an:0,antenna:0,antenna_correct:0,argument:0,arriv:0,attribut:0,audio:0,azimuth:0,azimuth_confid:0,bandwidth:0,base:0,befor:0,begin:0,bit:0,block:0,block_count:0,block_length:0,bodi:0,byte_str:0,bytearrai:0,center:0,center_frequ:0,channel:0,channel_count:0,classmethod:0,clockwis:0,code:0,confid:0,contain:0,content:[1,2],continu:0,counter:0,creat:0,current:0,d:0,data:0,data_bodi:0,data_bytes_onli:0,data_head:0,data_header_length:0,data_header_s:0,decim:0,degre:0,demod_bandwidth:0,demod_typ:0,depend:0,detect:0,df_qualiti:0,dict:0,dictionari:0,direct:0,e:0,elev:0,embed:0,empti:0,end:0,etc:0,even:0,exampl:0,extend:0,extended_audio_data_header_s:0,field:0,file:0,file_nam:0,find:0,flag:0,fm:0,format:0,frame:0,frame_length:0,frame_typ:0,frequenc:0,frequency_shift_or_bandwidth:0,from:0,from_byt:0,g:0,global:0,global_frame_bodi:0,global_frame_head:0,global_header_s:0,header:0,header_s:0,horizont:0,i:0,if_data:0,if_datablock_head:0,incom:0,incomplet:0,inform:0,initi:0,insid:0,instanc:0,integ:0,interest:0,interpol:0,iq:0,iqdwtxblock:[1,2],is_puls:0,is_valid:0,iter:0,k:0,kei:0,keyword:0,khz:0,kwarg:0,length:0,level:0,level_unit:0,list:0,m:0,magic_word:0,map:0,mark:0,mean:0,minu:0,modul:[1,2],mono:0,more:0,multipl:0,my:0,n:0,name:0,nanosecond:0,next:0,none:0,number:0,object:0,one:0,oper:0,packag:[1,2],pair:0,paramet:0,pars:0,pdw:[1,2],pdw_format:0,pdw_format_identifi:0,per:0,percent:0,plu:0,pointer:0,polar:0,posit:0,ppdw:0,ppdwcontain:[1,2],properti:0,psk:0,puls:0,pulse_level_or_pulse_field_strength:0,pulse_width:0,qualiti:0,r:0,rate:0,reach:0,read:0,read_all_frames_left:0,read_next_audio_data_bodi:0,read_next_fram:0,read_next_global_frame_bodi:0,read_next_global_frame_body_data_head:0,read_next_global_frame_body_extended_data_head:0,read_next_global_frame_head:0,read_next_if_data_block:0,read_next_single_fram:0,record:0,refer:0,region:0,region_of_interest:0,remain:0,reserv:0,rewind_to_start:0,running_frame_numb:0,s:0,sampl:0,sample_count:0,sample_r:0,sample_s:0,sector:0,set:0,signal:0,signal_end_miss:0,signal_start_miss:0,sinc:0,singl:0,size:0,size_correct:0,socket:0,sourc:0,source_id:0,source_st:0,standard_audio_data_header_s:0,start:0,statu:0,step:0,stereo:0,stop:0,store:0,stream_start:0,strength:0,string:0,submodul:[1,2],tag:0,time:0,time_of_arriv:0,timestamp:0,tupl:0,two:0,type:0,unknown:0,until:0,v:0,valid:0,valu:0,vertic:0,via:0,voltage_ref:0,wai:0,wave:0,width:0,zero:0},titles:["ammosreader package","ammosreader","ammosreader"],titleterms:{ammosaudiodatahead:0,ammosaudioread:0,ammosaudiosocketread:0,ammoscontain:0,ammosextendedaudiodatahead:0,ammosextendedifdatahead:0,ammosglobalframebodi:0,ammosglobalframehead:0,ammosifdatablock:0,ammosifdatahead:0,ammosifread:0,ammosread:[0,1,2],ammossinglefram:0,content:0,iqdwtxblock:0,modul:0,packag:0,pdw:0,ppdwcontain:0,submodul:0}})