Index: README.md
===================================================================
--- README.md	(revision 7c078db26ece7461302f88aef3eba1c85cce4c44)
+++ README.md	(revision 571e0cc6efc01eedb038d669ad8f41e03a20ed04)
@@ -1,78 +1,92 @@
 # AmmosReader
 
-Project containing necessary File- or SocketStream-Reader to read the
-various datastreams of Ammos
+Project containing necessary File- or SocketStream-Reader to read the various datastreams of Ammos
 
-# Installation
+## Getting started
 
-## Standard pip install (not tested on all platforms)
+To make it easy for you to get started with GitLab, here's a list of recommended next steps.
 
-``` shell
-git clone http://gitlab.kid.local/kidzg/ammosreader.git
-cd ammosreader
-python3 -m pip install .
+Already a pro? Just edit this README.md and make it your own. Want to make it easy? [Use the template at the bottom](#editing-this-readme)!
+
+## Add your files
+
+- [ ] [Create](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
+- [ ] [Add files using the command line](https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:
+
+```
+cd existing_repo
+git remote add origin http://gitlab.kid.local/kidzg/ammosreader.git
+git branch -M main
+git push -uf origin main
 ```
 
-## Using the guix functional package manager
+## Integrate with your tools
 
-First subscribe to the GUIX oai channel (see Chapter Add channel to
-system) in
-<https://gitlab.kid.local/kidzg/guix-deployment/-/blob/master/DevOps.org>)
+- [ ] [Set up project integrations](http://gitlab.kid.local/kidzg/ammosreader/-/settings/integrations)
 
-Then install using the guix
+## Collaborate with your team
 
-``` shell
-guix package -i python-ammosreader
-```
+- [ ] [Invite team members and collaborators](https://docs.gitlab.com/ee/user/project/members/)
+- [ ] [Create a new merge request](https://docs.gitlab.com/ee/user/project/merge_requests/creating_merge_requests.html)
+- [ ] [Automatically close issues from merge requests](https://docs.gitlab.com/ee/user/project/issues/managing_issues.html#closing-issues-automatically)
+- [ ] [Enable merge request approvals](https://docs.gitlab.com/ee/user/project/merge_requests/approvals/)
+- [ ] [Automatically merge when pipeline succeeds](https://docs.gitlab.com/ee/user/project/merge_requests/merge_when_pipeline_succeeds.html)
 
-# Usage
+## Test and Deploy
 
-There are two scripts, which demonstrate the usage of the ammosreader
-package.
+Use the built-in continuous integration in GitLab.
 
-## iqdw_reader.py
+- [ ] [Get started with GitLab CI/CD](https://docs.gitlab.com/ee/ci/quick_start/index.html)
+- [ ] [Analyze your code for known vulnerabilities with Static Application Security Testing(SAST)](https://docs.gitlab.com/ee/user/application_security/sast/)
+- [ ] [Deploy to Kubernetes, Amazon EC2, or Amazon ECS using Auto Deploy](https://docs.gitlab.com/ee/topics/autodevops/requirements.html)
+- [ ] [Use pull-based deployments for improved Kubernetes management](https://docs.gitlab.com/ee/user/clusters/agent/)
+- [ ] [Set up protected environments](https://docs.gitlab.com/ee/ci/environments/protected_environments.html)
 
-``` shell
-python3 iqdw_reader.py 'path_to_iqdw_file'
-```
+***
 
-## pdw_reader.py
+# Editing this README
 
-``` shell
-python3 pdw_reader.py 'path_to_pdw_file'
-```
+When you're ready to make this README your own, just edit this file and use the handy template below (or feel free to structure it however you want - this is just a starting point!).  Thank you to [makeareadme.com](https://www.makeareadme.com/) for this template.
 
-To minimize depencencies of the core package other scripts
-(audio_reader, ammos_viewer) are now stored in separate packages.
+## Suggestions for a good README
+Every project is different, so consider which of these sections apply to yours. The sections used in the template are suggestions for most open source projects. Also keep in mind that while a README can be too long and detailed, too long is better than too short. If you think your README is too long, consider utilizing another form of documentation rather than cutting out information.
 
-# Logging
+## Name
+Choose a self-explaining name for your project.
 
-If you use ammosreader in your own scripts a logger can be imported and
-used as follows:
+## Description
+Let people know what your project can do specifically. Provide context and add a link to any reference visitors might be unfamiliar with. A list of Features or a Background subsection can also be added here. If there are alternatives to your project, this is a good place to list differentiating factors.
 
-``` python
-from ammosreader import logger
-logger.warning("Put your warning here")
-```
+## Badges
+On some READMEs, you may see small images that convey metadata, such as whether or not all the tests are passing for the project. You can use Shields to add some to your README. Many services also have instructions for adding a badge.
 
-## Log-File
+## Visuals
+Depending on what you are making, it can be a good idea to include screenshots or even a video (you'll frequently see GIFs rather than actual videos). Tools like ttygif can help, but check out Asciinema for a more sophisticated method.
 
-The name of the logfile is ammos.log The logger uses the directory
-stored in the AMMOS_LOG_DIR environment variable. If this variable is
-not set, /tmp is used as default. This might change to *var/log* in
-future versions running under GUIX system. If the logfile is not
-writable, the standard logger config is used and the logs go directly to
-console (tty). (see ammos_logging.conf file in this repository)
+## Installation
+Within a particular ecosystem, there may be a common way of installing things, such as using Yarn, NuGet, or Homebrew. However, consider the possibility that whoever is reading your README is a novice and would like more guidance. Listing specific steps helps remove ambiguity and gets people to using your project as quickly as possible. If it only runs in a specific context like a particular programming language version or operating system or has dependencies that have to be installed manually, also add a Requirements subsection.
 
-## Log-Level
+## Usage
+Use examples liberally, and show the expected output if you can. It's helpful to have inline the smallest example of usage that you can demonstrate, while providing links to more sophisticated examples if they are too long to reasonably include in the README.
 
-You can change the log-Level by setting the environment variable
-AMMOS_LOG_LEVEL. To turn off logging completely set the level to
-'CRITICAL'
+## Support
+Tell people where they can go to for help. It can be any combination of an issue tracker, a chat room, an email address, etc.
 
-``` shell
-export AMMOS_LOG_LEVEL=CRITICAL
-```
+## Roadmap
+If you have ideas for releases in the future, it is a good idea to list them in the README.
 
-If the environment variable does not exist, the logging level from
-ammos_logging.conf is used.
+## Contributing
+State if you are open to contributions and what your requirements are for accepting them.
+
+For people who want to make changes to your project, it's helpful to have some documentation on how to get started. Perhaps there is a script that they should run or some environment variables that they need to set. Make these steps explicit. These instructions could also be useful to your future self.
+
+You can also document commands to lint the code or run tests. These steps help to ensure high code quality and reduce the likelihood that the changes inadvertently break something. Having instructions for running tests is especially helpful if it requires external setup, such as starting a Selenium server for testing in a browser.
+
+## Authors and acknowledgment
+Show your appreciation to those who have contributed to the project.
+
+## License
+For open source projects, say how it is licensed.
+
+## Project status
+If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.